commit: 55a882c310ec3147dae57465f46c86bfcacdd8b0
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 4 11:53:03 2021 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Thu Mar 4 11:53:18 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=55a882c3
mail-client/claws-mail: live ebuild adjustments
Package-Manager: Portage-3.0.16, Repoman-3.0.2
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
mail-client/claws-mail/claws-mail-9999.ebuild | 9 +++++----
1 file changed, 5 insertions(+), 4 deletions(-)
diff --git a/mail-client/claws-mail/claws-mail-9999.ebuild
b/mail-client/claws-mail/claws-mail-9999.ebuild
index c2818293f81..aca0fa2b804 100644
--- a/mail-client/claws-mail/claws-mail-9999.ebuild
+++ b/mail-client/claws-mail/claws-mail-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -13,7 +13,7 @@ if [[ "${PV}" == *9999 ]] ; then
EGIT_REPO_URI="https://git.claws-mail.org/readonly/claws.git"
else
SRC_URI="https://www.claws-mail.org/download.php?file=releases/${P}.tar.xz"
- KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
fi
SLOT="0"
@@ -109,7 +109,7 @@ PATCHES=(
)
pkg_setup() {
- if [[ "${PV}" == *9999 ]] && ! use gtk2 ; then
+ if [[ "${PV}" == 9999 ]] && ! use gtk2 ; then
EGIT_BRANCH="gtk3"
fi
}
@@ -209,7 +209,8 @@ src_install() {
doexe tb2claws-mail update-po uudec uuooffice
# kill useless files
- rm -f "${ED}"/usr/lib*/claws-mail/plugins/*.{a,la}
+ find "${ED}"/usr/lib*/claws-mail/plugins/ \
+ \( -name "*.a" -o -name ".la" \) -delete || die
}
pkg_postinst() {